#ifndef _Dragon_h
#define _Dragon_h

#include "library.h"
#include "Mesh_tool.h"
#include "Texture.h"
#include "Position.h"

class Dragon
{
 public:
  Dragon();
  ~Dragon();

  int load_mesh(const char* filename);
  int draw(Position *position);
  int set_texture(const char* texture_path);

 private:
  int build_draw_list();


  GLuint texture_number;
  GLuint draw_list;
  Mesh_tool mesh;
};

#endif
