
#include "Position.h"


Position::Position()
{
  int k_dim=0;
  for(k_dim=0;k_dim<3;p[k_dim]=0.1,k_dim++);
  p[0] = 5.5;
  p[1] = WATER_LEVEL+0.1;
  p[2] = 5.0;

  alpha=0;
  beta=0;

  width=800;
  height=800;

  is_fight=false;
}

Position::~Position()
{
  int k_dim=0;
  for(k_dim=0;k_dim<3;p[k_dim]=0,k_dim++);
  alpha=0;
  beta=0;
}


int Position::set_position(float x,float y,float z)
{
  int ok=0;

  p[0]=x;
  p[1]=y;
  p[2]=z;

  return ok;
}

int Position::set_angle(float _alpha,float _beta)
{
  int ok=0;
  
  alpha=_alpha;
  beta=_beta;
  
  return ok;
}


float Position::get_x()
{
  return p[0];
}
float Position::get_y()
{
  return p[1];
}
float Position::get_z()
{
  return p[2];
}
float Position::get_alpha()
{
  return alpha;
}
float Position::get_beta()
{
  return beta;
}

int Position::enable_fight()
{
  is_fight=true;
  return 0;
}
int Position::disable_fight()
{
  is_fight=false;
  return 0;
}

bool Position::get_is_fight()
{
  return is_fight;
}

int Position::set_size(int _width,int _height)
{
  width = _width;
  height = _height;

  return 0;
}

int Position::get_width()
{
  return width;
}
int Position::get_height()
{
  return height;
}
