#ifndef _Rabit_h
#define _Rabit_h

#include "library.h"
#include "Mesh_tool.h"
#include "Texture.h"
#include "Position.h"

class Rabit
{
 public:
  Rabit();
  ~Rabit();

  int load_mesh(const char* filename);
  int draw(Position *position);
  int set_texture(const char* texture_path);

 private:

  int build_draw_list();

  GLuint texture_number;
  GLuint draw_list;
  Mesh_tool mesh;

  float X[3];
};

#endif
