#ifndef _Castle_h
#define _Castle_h

#include "library.h"
#include "Mesh_tool.h"
#include "Texture.h"

class Castle
{
 public:
  Castle();
  ~Castle();

  int build_castle();
  int draw(int kt);
  int set_texture();
  int build_draw_list();

 private:

  Mesh_tool mesh_cylinder_1;
  Mesh_tool mesh_lamp_cone;
  Mesh_tool mesh_lamp_cylinder;

  GLuint texture_number[5];
  GLuint draw_list;

};

#endif
