
#ifndef _Grass_h
#define _Grass_h


#include "library.h"
#include "Ground.h"
#include "Position.h"

class Grass
{
 public:
  Grass();
  ~Grass();

  int set_number(int _N);
  int set_position(Ground *ground);
  int draw(GLfloat *matrix,Position *position,int kt);
  int set_texture(const char* texture_path);

 private:

  int destroy();

  //number 
  int N;
  //position of grass
  float *position;
  //scale
  float *scale;
  //orientation of each
  float *cos_theta,*sin_theta;


  GLuint texture_number;

};


#endif
