#ifndef _Map_h
#define _Map_h

#include "library.h"
#include "Texture.h"
#include "Position.h"

class Map
{
 public:

  Map();
  ~Map();

  int set_texture(const char* texture_path);
  int draw(Position *position);

 private:

  int build_draw_list();

  GLuint texture_number;
  GLint draw_list;

};

#endif
