
#include "OpenGL_interface.h"

OpenGL_interface::OpenGL_interface()
{
}

OpenGL_interface::~OpenGL_interface()
{
}

int OpenGL_interface::init_interface(int argc,char **argv)
{
  int ok=0;

  int size_x=200,size_y=200;
  int win_x=800,win_y=800;
  
  //init window
  glutInit (&argc, argv);
  glutInitDisplayMode(GLUT_DOUBLE | GLUT_RGB | GLUT_DEPTH);
  glutInitWindowPosition(size_x,size_y);
  glutInitWindowSize(win_x,win_y);
  glutCreateWindow("win_1");


  /* We want to fill the color buffer with black */
  glClearColor (0.4f, 0.6f, 0.7f, 1.0f);
  glPointSize(5);
  glEnable(GL_DEPTH_TEST);
  glDepthMask(GL_TRUE);
  glDisable(GL_LIGHTING);
  glDisable(GL_BLEND);
  glDisable(GL_TEXTURE_2D);
  

  /*lighting*/

  GLfloat L_position[3]={-1.0,16.0,-2.0};
  GLfloat L_ambient[3]={0.8,0.8,0.8};
  GLfloat L_diffuse[3]={1.0,1.0,1.0};
  GLfloat L_specular[3]={1.0,1.0,1.0};
  
  GLfloat M_diffuse[3]={0.8,0.8,0.8};
  GLfloat M_specular[3]={0.8,0.8,0.8};
  GLfloat M_shiny = 100;
  
  glEnable(GL_LIGHTING);
  glEnable(GL_LIGHT0);

  glLightfv(GL_LIGHT0,GL_POSITION,L_position);
  glLightfv(GL_LIGHT0,GL_DIFFUSE,L_diffuse);
  glLightfv(GL_LIGHT0,GL_SPECULAR,L_specular);
  glLightfv(GL_LIGHT0,GL_AMBIENT,L_ambient);

  glMaterialfv(GL_FRONT,GL_DIFFUSE,M_diffuse);
  glMaterialfv(GL_FRONT,GL_SPECULAR,M_specular);
  glMaterialf(GL_FRONT,GL_SHININESS,M_shiny);


  //Important to change the color!!
  glEnable(GL_COLOR_MATERIAL);



  //FOG

  glDisable(GL_FOG);
  glEnable(GL_FOG);
  
  
  glFogi  (GL_FOG_MODE     , GL_EXP2);
  float fog_color[3]={0.4,0.6,0.7};
  glFogfv (GL_FOG_COLOR    , fog_color);
  glFogf  (GL_FOG_START    , 0);
  glFogf  (GL_FOG_END      , 10);
  glFogf  (GL_FOG_DENSITY  , 0.06*2);





  return ok;
}

