
#ifndef _Position_h
#define _Position_h

#include "library.h"

class Position
{
 public:
  Position();
  ~Position();

  int set_position(float x,float y,float z);
  int set_angle(float alpha,float beta);

  float get_x();
  float get_y();
  float get_z();
  float get_alpha();
  float get_beta();

  int enable_fight();
  int disable_fight();
  bool get_is_fight();

  int set_size(int _width,int _height);
  int get_width();
  int get_height();

 private:
  float p[3];
  float alpha,beta;

  int width,height;
  bool is_fight;

};

#endif
