
#ifndef _Water_surface_h
#define _Water_surface_h

#include "library.h"
#include "Texture.h"

class Water_surface
{
 public:
  Water_surface();
  ~Water_surface();

  int set_size(int _N_x,int _N_y,float scale_1,float scale_2);
  int set_texture(const char* file_name);
  int draw();
  int animate(int kt);
  
 private:

  int destroy();

  int N_x,N_y;

  GLuint texture_number;
  float *vertex;
  float *normal;
  float *texture_coord;
  int *connectivity;
};

#endif

